' ============================================================================
'
' WITNESS Release 9 and OLE Automation.
'
' The following code segments are based on Microsoft Visual Basic 3.
' This code demonstrates one way of loading WITNESS from a
' Microsoft Visual Basic application.
' If you have any questions please contact Lanner Group Technical
' Support, contact details are contained in the on-line help, or your local
' support representative.
'
' Microsoft is a registered trademark.
'
' ============================================================================
'
' The following declarations should be inserted in your application.
'
Option Explicit
Dim WitnessObject As Object
Dim WitnessSystem As String
Dim WitnessShell As Integer
'
' ============================================================================
'
' The following code should be inserted in your application.
'
On Error GoTo WitnessNotCurrentlyLoaded
Set WitnessObject = GetObject(, "Witness.WCL")
GoTo WitnessLoaded
WitnessNotCurrentlyLoaded:
Resume LoadWitness
LoadWitness:
On Error GoTo WitnessFailedToLoad
WitnessSystem = Environ$("WITSYS")
If WitnessSystem = "" Then
'
' Insert code here to handle the fact that the environment variable
' WITSYS is not set and so WITNESS and OLE Automation will not
' operate correctly.
'
   End
Else
   WitnessShell = Shell(WitnessSystem & "\WITNESS.EXE", 1)
'
' Note that you can load a model on the command line by amending
' the above line to something of the form:
'
' WitnessShell = Shell(WitnessSystem & "\WITNESS.EXE C:\MODELS\MODEL.MOD", 1)
'
   Set WitnessObject = GetObject(, "Witness.WCL")
   While WitnessObject.ModelStatus < 1 Or WitnessObject.ModelStatus > 2
      DoEvents
   Wend
End If
WitnessLoaded:
DoEvents
'
' At this point WITNESS has been loaded successfully.
'
Exit Sub
WitnessFailedToLoad:
'
' At this point WITNESS has failed to load successfully and so some code
' to handle this should be inserted here.
'
End
End Sub
'
' ============================================================================
